Skip to content
Streamkap
Esc
↑↓navigate↵open⌘Jpreview

Get Logs

Get logs

POST/logs
Authorization
AuthorizationBearer token · headerrequired
Query parameters
sizeinteger
frominteger
log_levelstring

A comma-separated list of log level. Example: INFO,WARN

query_stringstring
use_regexboolean

Treat query_string as an RE2 regular expression

default: false
exclude_stringstring

Exclude logs whose message matches this text

exclude_regexboolean

Treat exclude_string as an RE2 regular expression

default: false
include_noiseboolean

Bypass the configured server-side noise filters

default: false
timestamp_tostring

ISO 8601, e.g. 2025-07-30T07:54:13Z

timestamp_fromstring

ISO 8601, e.g. 2025-07-30T07:24:13Z

Request body
requiredapplication/json
source_idsstring[]
default: []
destination_idsstring[]
default: []
transform_idsstring[]
default: []
Responses
200

Successful Response

any
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X POST 'https://api.streamkap.com/logs' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "source_ids": [],
  "destination_ids": [],
  "transform_ids": []
}'
Response
Successful Response